## python-cssselect 1.1.0+ds

=== tests/requirements.txt ===
codecov
lxml;python_version!="3.4"
lxml<=4.3.5;python_version=="3.4"
pytest
pytest-cov

## python-cssselect 0.6.1

=== debian/changelog ===
python-cssselect (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #672323)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 10 May 2012 09:02:14 +0900

=== debian/control ===
Source: python-cssselect
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 8)
        ,python-all
        ,python-support
        ,python-setuptools
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/cssselect
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-cssselect/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cssselect/trunk/

Package: python-cssselect
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: cssselect parses CSS3 Selectors and translates them to XPath 1.0
 cssselect parses CSS3 Selectors and translate them to XPath 1.0 expressions.
 Such expressions can be used in lxml or another XPath engine to find the
 matching elements in an XML or HTML document.
 .
 This module used to live inside of lxml as lxml.cssselect before it was
 extracted as a stand-alone project.

## python-cssselect 0.8

=== debian/changelog ===
python-cssselect (0.8-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release
  * debian/copyright: update Format URL. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 07 May 2013 09:51:54 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
         ,python-setuptools
 Standards-Version: 3.9.3
 Homepage: http://pypi.python.org/pypi/cssselect
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-cssselect/trunk
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cssselect/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cssselect/trunk/
 
 Package: python-cssselect

## python-cssselect 0.9.1

=== debian/changelog ===
python-cssselect (0.9.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Gary Preston <gary@mups.co.uk>  Wed, 26 Feb 2014 00:16:56 +0000

python-cssselect (0.9.1-1) unstable; urgency=low

  [ Barry Warsaw ]
  * New upstream release.
  * debian/control:
    - Remove unnecessary Build-Dep on python-support.
    - Bumped Standards-Version to 3.9.4 with no changes necessary.
    - Add X-Python-Version header.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 26 Oct 2013 00:32:59 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 8)
         ,python-all
-        ,python-support
         ,python-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.6
 Homepage: http://pypi.python.org/pypi/cssselect
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cssselect/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cssselect/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
%:
	dh $@ --with python2

## python-cssselect 0.9.1%2Bgit90c72b0

=== debian/changelog ===
python-cssselect (0.9.1+git90c72b0-1) unstable; urgency=low

  * Support python3 (Closes: #755031), thanks to 宋文武 <iyzsong@gmail.com>
  * Use new upstream non-release (some bug fixes)
  * Move packaging to team git

 -- W. Martin Borgert <debacle@debian.org>  Sat, 11 Oct 2014 23:52:42 +0000

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/cssselect/cssselect-(.*).tar.gz

## python-cssselect 0.9.1+git90c72b0

=== debian/control ===
Source: python-cssselect
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>, W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all, python-lxml, python-setuptools,
               python3-all, python3-lxml, python3-setuptools
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/cssselect
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cssselect.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-cssselect.git

Package: python-cssselect
Architecture: all
Depends: python, ${misc:Depends}
Description: cssselect parses CSS3 Selectors and translates them to XPath 1.0
 cssselect parses CSS3 Selectors and translate them to XPath 1.0 expressions.
 Such expressions can be used in lxml or another XPath engine to find the
 matching elements in an XML or HTML document.
 .
 This module used to live inside of lxml as lxml.cssselect before it was
 extracted as a stand-alone project.
 .
 This package provides the Python 2.x module.

Package: python3-cssselect
Architecture: all
Depends: python3, ${misc:Depends}
Description: cssselect parses CSS3 Selectors and translates them to XPath 1.0
 cssselect parses CSS3 Selectors and translate them to XPath 1.0 expressions.
 Such expressions can be used in lxml or another XPath engine to find the
 matching elements in an XML or HTML document.
 .
 This module used to live inside of lxml as lxml.cssselect before it was
 extracted as a stand-alone project.
 .
 This package provides the Python 3.x module.

## python-cssselect 0.9.2

=== debian/changelog ===
python-cssselect (0.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * Enabled autopkgtest-pkg-python testsuite
  * d/watch: Use https protocol
  * Bumped debhelper compat version to 9
  * Bumped Standards-Version to 3.9.8
  * d/copyright: Added myself to Debian part

 -- Ondřej Nový <onovy@debian.org>  Sat, 06 Aug 2016 21:55:23 +0200

## python-cssselect 1.0.1

=== debian/changelog ===
python-cssselect (1.0.1-1) unstable; urgency=medium

  * New upstream release (from GitHub, not PyPI, where tests are missing)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Jan 2017 12:18:44 +0000

python-cssselect (1.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- W. Martin Borgert <debacle@debian.org>  Thu, 08 Dec 2016 08:30:04 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper (>= 9), dh-python,
                python-all, python-lxml, python-setuptools,
                python3-all, python3-lxml, python3-setuptools
-Standards-Version: 3.9.6
-Homepage: http://pypi.python.org/pypi/cssselect
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cssselect.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-cssselect.git
+Standards-Version: 3.9.8
+Homepage: https://pypi.python.org/pypi/cssselect
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cssselect.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cssselect.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-cssselect
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=cssselect

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-cssselect 1.0.3

=== debian/changelog ===
python-cssselect (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * debian/rules: Disalb test (due to upstream error).
  * debian/control: Change Priority to optional

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 04 Feb 2018 11:19:51 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-cssselect
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, W. Martin Borgert <debacle@debian.org>
 Build-Depends: debhelper (>= 9), dh-python,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=cssselect
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.debian.net/cssselect/cssselect-(.*).tar.gz

## python-cssselect 1.1.0

=== debian/changelog ===
python-cssselect (1.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937678

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jan 2020 19:31:09 -0500

python-cssselect (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Add myself to Uploaders.

  [ TANIGUCHI Takaki ]
  * Bump Standards-Version 4.4.0
  * debian-compat: Bump to 12
  * New upstream version 1.1.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 16 Aug 2019 15:56:52 +0900

=== debian/control ===
Source: python-cssselect
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
 W. Martin Borgert <debacle@debian.org>,
 Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               python3-all, python3-lxml, python3-setuptools
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/cssselect
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cssselect.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cssselect
Testsuite: autopkgtest-pkg-python

Package: python3-cssselect
Architecture: all
Depends: python3, ${misc:Depends}
Description: cssselect parses CSS3 Selectors and translates them to XPath 1.0
 cssselect parses CSS3 Selectors and translate them to XPath 1.0 expressions.
 Such expressions can be used in lxml or another XPath engine to find the
 matching elements in an XML or HTML document.
 .
 This module used to live inside of lxml as lxml.cssselect before it was
 extracted as a stand-alone project.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=cssselect
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-cssselect 1.1.0%2Bds

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$// ,repacksuffix=+ds" \
https://github.com/scrapy/cssselect/releases \
/scrapy/cssselect/archive/v([\d\.]+)\.tar\.gz

## python-cssselect 1.1.0+ds

=== debian/changelog ===
python-cssselect (1.1.0+ds-3) unstable; urgency=medium

  * Fix d/watch.
  * Tag B-D: python3-lxml as !nocheck.
  * Add an explanation for the +ds suffix to d/copyright.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 26 Jan 2022 21:14:44 +0500

python-cssselect (1.1.0+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.5.1, no changes needed.

  [ TANIGUCHI Takaki ]
  * d/watch: Follow github download link change.
  * Add CI config.
  * Bump Standards-Version to 4.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 12 Sep 2021 15:45:58 +0900

python-cssselect (1.1.0+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrey Rahmatullin ]
  * Change the watch file from PyPI to github.
  * Import the Github tarball (which includes tests).
  * Update the upstream address in Homepage and d/copyright to the Github one.
  * Bump Standards-Version to 4.5.0.
  * Switch to debhelper-compat 13.
  * Run build-time tests.
  * Add autopkgtests.
  * Add Rules-Requires-Root: no.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 12 Nov 2020 22:02:39 +0500

=== debian/control ===
Source: python-cssselect
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           W. Martin Borgert <debacle@debian.org>,
           Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-lxml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/scrapy/cssselect/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cssselect.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cssselect
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-cssselect
Architecture: all
Depends: python3, ${misc:Depends}
Description: cssselect parses CSS3 Selectors and translates them to XPath 1.0
 cssselect parses CSS3 Selectors and translate them to XPath 1.0 expressions.
 Such expressions can be used in lxml or another XPath engine to find the
 matching elements in an XML or HTML document.
 .
 This module used to live inside of lxml as lxml.cssselect before it was
 extracted as a stand-alone project.
 .
 This package provides the Python 3.x module.

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 python3-all,
 python3-pytest,
 python3-lxml,

## python-cssselect 1.2.0

=== debian/changelog ===
python-cssselect (1.2.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.

 -- Martin <debacle@debian.org>  Mon, 09 Jan 2023 22:23:20 +0000

python-cssselect (1.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Use py3versions -s instead of -r in autopkgtests.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 31 Oct 2022 21:37:37 +0500

python-cssselect (1.1.0+ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:50:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
-           W. Martin Borgert <debacle@debian.org>,
+           Martin <debacle@debian.org>,
            Andrey Rahmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -11,7 +11,7 @@
                python3-lxml <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/scrapy/cssselect/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cssselect.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cssselect

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=cssselect

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-cssselect 1.3.0

=== debian/changelog ===
python-cssselect (1.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Add B-D: python3-sphinx-rtd-theme.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 13 Mar 2025 11:30:08 +0500

python-cssselect (1.2.0-4) unstable; urgency=medium

  * Changeless upload to build on buildds.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 21 Apr 2024 22:58:04 +0500

python-cssselect (1.2.0-3) unstable; urgency=medium

  * Add the python-cssselect-doc subpackage.
  * Add ${python3:Depends} to Depends.
  * Switch to using dh-sequence-python3.
  * Switch to Testsuite: autopkgtest-pkg-pybuild.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 20 Apr 2024 22:49:25 +0500

=== debian/control ===
Source: python-cssselect
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Martin <debacle@debian.org>,
           Andrey Rakhmatullin <wrar@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-all,
               python3-doc <!nodoc>,
               python3-lxml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/scrapy/cssselect/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cssselect.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cssselect
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-cssselect
Architecture: all
Depends: python3, ${python3:Depends}, ${misc:Depends}
Description: cssselect parses CSS3 Selectors and translates them to XPath 1.0
 cssselect parses CSS3 Selectors and translate them to XPath 1.0 expressions.
 Such expressions can be used in lxml or another XPath engine to find the
 matching elements in an XML or HTML document.
 .
 This module used to live inside of lxml as lxml.cssselect before it was
 extracted as a stand-alone project.

Package: python-cssselect-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Suggests: python3-cssselect
Description: cssselect parses CSS3 Selectors and translates them to XPath 1.0 (documentation)
 cssselect parses CSS3 Selectors and translate them to XPath 1.0 expressions.
 Such expressions can be used in lxml or another XPath engine to find the
 matching elements in an XML or HTML document.
 .
 This module used to live inside of lxml as lxml.cssselect before it was
 extracted as a stand-alone project.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=cssselect

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-cssselect-doc/usr/share/doc/python-cssselect-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$// ,repacksuffix=+ds" \
https://github.com/scrapy/cssselect/tags \
/scrapy/cssselect/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-cssselect 1.4.0

=== debian/changelog ===
python-cssselect (1.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop Rules-Requires-Root and Priority.
  * Bump Standards-Version to 4.7.3.
  * Drop d/watch in favor of d/upstream/metadata.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 30 Jan 2026 22:54:52 +0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-cssselect
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
            Martin <debacle@debian.org>,
@@ -8,19 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-doc <!nodoc>,
+               python3-hatchling,
                python3-lxml <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/scrapy/cssselect/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cssselect.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cssselect
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-cssselect
 Architecture: all
